org.apache.commons.configuration2.ex

## Class ConfigurationRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.commons.configuration2.ex.ConfigurationRuntimeException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    ConversionException

      public class ConfigurationRuntimeException
      extends RuntimeException

  A configuration related runtime exception.
  Since:
    1.0
  Version:
    $Id: ConfigurationRuntimeException.java 1799980 2017-06-26 20:21:16Z oheger $
  Author:
    Emmanuel Bourg
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigurationRuntimeException()` Constructs a new `ConfigurationRuntimeException` without specified detail message.
    `ConfigurationRuntimeException(String message)` Constructs a new `ConfigurationRuntimeException` with specified detail message.
    `ConfigurationRuntimeException(String message, Object... args)` Constructs a new `ConfigurationRuntimeException` with specified detail message using `String.format(String,Object...)`.
    `ConfigurationRuntimeException(String message, Throwable cause)` Constructs a new `ConfigurationRuntimeException` with specified detail message and nested `Throwable`.
    `ConfigurationRuntimeException(Throwable cause)` Constructs a new `ConfigurationRuntimeException` with specified nested `Throwable`.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigurationRuntimeException

          public ConfigurationRuntimeException()

      Constructs a new `ConfigurationRuntimeException` without specified detail message.

    - #### ConfigurationRuntimeException

          public ConfigurationRuntimeException(String message)

      Constructs a new `ConfigurationRuntimeException` with specified detail message.
      Parameters:
        `message` - the error message

    - #### ConfigurationRuntimeException

          public ConfigurationRuntimeException(String message,
                                               Object... args)

      Constructs a new `ConfigurationRuntimeException` with specified detail message using `String.format(String,Object...)`.
      Parameters:
        `message` - the error message
        `args` - arguments to the error message
      See Also:
        `String.format(String,Object...)`

    - #### ConfigurationRuntimeException

          public ConfigurationRuntimeException(Throwable cause)

      Constructs a new `ConfigurationRuntimeException` with specified nested `Throwable`.
      Parameters:
        `cause` - the exception or error that caused this exception to be thrown

    - #### ConfigurationRuntimeException

          public ConfigurationRuntimeException(String message,
                                               Throwable cause)

      Constructs a new `ConfigurationRuntimeException` with specified detail message and nested `Throwable`.
      Parameters:
        `message` - the error message
        `cause` - the exception or error that caused this exception to be thrown

Copyright © 2001–2017 The Apache Software Foundation. All rights reserved.